# UnassociateEipAddress

## 1. API Description

This API (UnassociateEipAddress) is used to disassociate elastic IPs from resources in the same region.

{% hint style="info" %} <mark style="color:blue;">**Note**</mark>

* <mark style="color:blue;">The API returns the elastic IP IDs that failed to disassociate. An empty list indicates all operations succeeded.</mark>
* <mark style="color:blue;">If an elastic public IP has already been disassociated, repeating the operation will not return an error.</mark>
* <mark style="color:blue;">The default elastic public IP cannot be disassociated.</mark>
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type            | Description             |
| -------------- | -------- | --------------- | ----------------------- |
| eipIds         | Yes      | Array of String | ID list of elastic IPs. |

## 3. Output Parameters

| Parameter Name | Type            | Description                                                                                                           |
| -------------- | --------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| failedEipIds   | Array of String | Elastic IP IDs that failed to operate.                                                                                |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Disassociate elastic IPs from resources in the same region.**

<pre class="language-json"><code class="lang-json"><strong>POST /api/v2/zec HTTP/1.1
</strong>Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnassociateEipAddress


Request:
{
  "eipIds": ["xxx","yyy"]
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "failedEipIds":["yyy"]
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F"
  }
}
</code></pre>

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                   | Description                                                      |
| ---------------- | -------------------------------------------- | ---------------------------------------------------------------- |
| 400              | OPERATION\_DENIED\_EIP\_IS\_DEFAULT          | Default public IP cannot be unbound.                             |
| 400              | OPERATION\_DENIED\_EIP\_NOT\_ASSIGNED        | Elastic IP is not bound.                                         |
| 500              | OPERATION\_DENIED\_EIP\_STATUS\_NOT\_SUPPORT | Operation is not supported for the elastic IP in current status. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/elastic-ip/unassociateeipaddress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
